#######################################################################################
# General Settings
#######################################################################################
%define _unpackaged_files_terminate_build 0
%define	__os_install_post	/bin/true
%define perl_sitearch %(eval "`%{__perl} -V:installsitearch`"; echo $installsitearch)

Summary: (x)root protocol server,client & developement packages
Name: xrootd-base
Version: 20090930.1117
Release: 3
Group: Applications/File
Source: xrootd-20090930.1117.tar.gz
License: http://xrootd.slac.stanford.edu/
BuildRoot: %{_tmppath}/%{name}-root
#######################################################################################
%description
The xrootd server provides performant, secure and fault-tolerant access to
root files. An optional load balancer is also included.
#######################################################################################
%prep

%setup -n xrootd-20090930.1117

%build
rm -rf $RPM_BUILD_ROOT
./bootstrap.sh
./configure --prefix=/usr/ --enable-dbg-build --enable-krb5 --enable-gsi --enable-mon --enable-ssl -C --disable-tokenauthz --with-base-directory=/usr/ --with-utils-dir=/usr/utils/ --with-krb5-incdir=/usr/include/ --libdir=%{_libdir} --sysconfdir=/etc/

make -j 4

%install
make DESTDIR=$RPM_BUILD_ROOT install 
find $RPM_BUILD_ROOT \( -type f -o -type l \) -print \
    | sed "s#^$RPM_BUILD_ROOT/*#/#" > RPM-FILE-LIST


#######################################################################################
# the base package containing everything
#######################################################################################
#%package -n xrootd-all
#######################################################################################
#Summary: An eXtended Root Daemon (xrootd)
#Group: Applications/File
#%description -n xrootd-all
#The xroot client and server package.
#
#%files -n xrootd-all -f RPM-FILE-LIST
#%defattr(-,root,root,-)
#%doc

#######################################################################################
# the client package
#######################################################################################
%package -n xrootd-client
#######################################################################################
Summary: (x)root protocol command line clients and client libraries
Group: Applications/File
%description -n xrootd-client
The xroot client package.
%files -n xrootd-client
%{_bindir}/x2cp
%{_bindir}/xrdcp
%{_bindir}/xrd
%{_bindir}/xrdgsiproxy
%{_bindir}/xprep
%{_bindir}/xrdstagetool

%{_libdir}/libXrdSecgsiGMAPLDAP.so
%{_libdir}/libXrdSeckrb5.so
%{_libdir}/libXrdSecpwd.so
%{_libdir}/libXrdSec.so
%{_libdir}/libXrdSecsss.so
%{_libdir}/libXrdSecssl.so
%{_libdir}/libXrdSecgsi.so
%{_libdir}/libXrdSecunix.so
%{_libdir}/libXrdClient.so
%{_libdir}/libXrdClientAdmin.so
%{_libdir}/libXrdCrypto.so
%{_libdir}/libXrdCryptoLite.so
%{_libdir}/libXrdCryptossl.so
%{_libdir}/libXrdNet.so
%{_libdir}/libXrdOuc.so
%{_libdir}/libXrdPosix.so
%{_libdir}/libXrdSut.so
%{_libdir}/libXrdSys.so
%{_libdir}/libXrdSecgsiGMAPLDAP.so.1.0.0
%{_libdir}/libXrdSeckrb5.so.1.0.0
%{_libdir}/libXrdSecpwd.so.1.0.0
%{_libdir}/libXrdSec.so.1.0.0
%{_libdir}/libXrdSecsss.so.1.0.0
%{_libdir}/libXrdSecssl.so.1.0.0
%{_libdir}/libXrdSecgsi.so.1.0.0
%{_libdir}/libXrdSecunix.so.1.0.0
%{_libdir}/libXrdPosix.so.1.0.0
%{_libdir}/libXrdClient.so.1.0.0
%{_libdir}/libXrdClientAdmin.so.1.0.0
%{_libdir}/libXrdCrypto.so.1.0.0
%{_libdir}/libXrdCryptoLite.so.1.0.0
%{_libdir}/libXrdCryptossl.so.1.0.0
%{_libdir}/libXrdNet.so.1.0.0
%{_libdir}/libXrdOuc.so.1.0.0
%{_libdir}/libXrdSut.so.1.0.0
%{_libdir}/libXrdSys.so.1.0.0
%{_libdir}/libXrdSeckrb5.so.1
%{_libdir}/libXrdSecpwd.so.1
%{_libdir}/libXrdSec.so.1
%{_libdir}/libXrdSecsss.so.1
%{_libdir}/libXrdSecssl.so.1
%{_libdir}/libXrdSecgsi.so.1
%{_libdir}/libXrdSecgsiGMAPLDAP.so.1
%{_libdir}/libXrdSecunix.so.1
%{_libdir}/libXrdPosix.so.1
%{_libdir}/libXrdClient.so.1
%{_libdir}/libXrdClientAdmin.so.1
%{_libdir}/libXrdCrypto.so.1
%{_libdir}/libXrdCryptoLite.so.1
%{_libdir}/libXrdCryptossl.so.1
%{_libdir}/libXrdNet.so.1
%{_libdir}/libXrdOuc.so.1
%{_libdir}/libXrdSut.so.1
%{_libdir}/libXrdSys.so.1

%defattr(-,root,root,-)
%doc %attr(0644,root,root) %{_mandir}/man1/xrd.1
%doc %attr(0644,root,root) %{_mandir}/man1/xrdstagetool.1
%doc %attr(0644,root,root) %{_mandir}/man1/x2cp.1
%doc %attr(0644,root,root) %{_mandir}/man1/xrdcp.1
%doc %attr(0644,root,root) %{_mandir}/man1/xprep.1
%doc %attr(0644,root,root) %{_mandir}/man1/xrdgsiproxy.1


#######################################################################################
# the server package
#######################################################################################
%package -n xrootd-server
#######################################################################################
Summary: (x)root protocol server
Group: Applications/File
Requires: xrootd-server
%description -n xrootd-server
The xroot server package.
%files -n xrootd-server
%{_bindir}/cmsd
%{_bindir}/cns_ssi
%{_bindir}/frm_admin
%{_bindir}/frm_pstga
%{_bindir}/frm_pstgd
%{_bindir}/mpxstats
%{_bindir}/olbd
%{_bindir}/TestXrdClient
%{_bindir}/TestXrdClient_read
%{_bindir}/wait41
%{_bindir}/x2cp
%{_bindir}/xprep
%{_bindir}/xrd
%{_bindir}/XrdAccTest
%{_bindir}/xrdadler32
%{_bindir}/XrdCnsd
%{_bindir}/xrdcp
%{_bindir}/xrdgsiproxy
%{_bindir}/xrdpwdadmin
%{_bindir}/xrdsssadmin
%{_bindir}/xrdstagetool
%{_bindir}/xrootd
%{_bindir}/xrdmonCollector
%{_bindir}/xrdmonAdmin

%{_libdir}/libXrdAcc.so
%{_libdir}/libXrdBwm.so
%{_libdir}/libXrdClientAdmin.so
%{_libdir}/libXrdClient.so
%{_libdir}/libXrdCms.so
%{_libdir}/libXrdCryptoLite.so
%{_libdir}/libXrdCrypto.so
%{_libdir}/libXrdCryptossl.so
%{_libdir}/libXrdNet.so
%{_libdir}/libXrdOdc.so
%{_libdir}/libXrdOfs.so
%{_libdir}/libXrdOss.so
%{_libdir}/libXrdOuc.so
%{_libdir}/libXrdPosix.so
%{_libdir}/libXrdProxy.so
%{_libdir}/libXrdRootd.so
%{_libdir}/libXrdSecgsiGMAPLDAP.so
%{_libdir}/libXrdSecgsi.so
%{_libdir}/libXrdSeckrb4.so
%{_libdir}/libXrdSecpwd.so
%{_libdir}/libXrdSec.so
%{_libdir}/libXrdSecssl.so
%{_libdir}/libXrdSecsss.so
%{_libdir}/libXrdSecunix.so
%{_libdir}/libXrd.so
%{_libdir}/libXrdSut.so
%{_libdir}/libXrdSys.so
%{_libdir}/libXrdAcc.so.1.0.0
%{_libdir}/libXrdBwm.so.1.0.0
%{_libdir}/libXrdClientAdmin.so.1.0.0
%{_libdir}/libXrdClient.so.1.0.0
%{_libdir}/libXrdCms.so.1.0.0
%{_libdir}/libXrdCryptoLite.so.1.0.0
%{_libdir}/libXrdCrypto.so.1.0.0
%{_libdir}/libXrdCryptossl.so.1.0.0
%{_libdir}/libXrdNet.so.1.0.0
%{_libdir}/libXrdOdc.so.1.0.0
%{_libdir}/libXrdOfs.so.1.0.0
%{_libdir}/libXrdOss.so.1.0.0
%{_libdir}/libXrdOuc.so.1.0.0
%{_libdir}/libXrdPosix.so.1.0.0
%{_libdir}/libXrdProxy.so.1.0.0
%{_libdir}/libXrdRootd.so.1.0.0
%{_libdir}/libXrdSecgsiGMAPLDAP.so.1.0.0
%{_libdir}/libXrdSecgsi.so.1.0.0
%{_libdir}/libXrdSeckrb4.so.1.0.0
%{_libdir}/libXrdSecpwd.so.1.0.0
%{_libdir}/libXrdSec.so.1.0.0
%{_libdir}/libXrdSecssl.so.1.0.0
%{_libdir}/libXrdSecsss.so.1.0.0
%{_libdir}/libXrdSecunix.so.1.0.0
%{_libdir}/libXrd.so.1.0.0
%{_libdir}/libXrdSut.so.1.0.0
%{_libdir}/libXrdSys.so.1.0.0
%{_libdir}/libXrdAcc.so.1
%{_libdir}/libXrdBwm.so.1
%{_libdir}/libXrdClientAdmin.so.1
%{_libdir}/libXrdClient.so.1
%{_libdir}/libXrdCms.so.1
%{_libdir}/libXrdCryptoLite.so.1
%{_libdir}/libXrdCrypto.so.1
%{_libdir}/libXrdCryptossl.so.1
%{_libdir}/libXrdNet.so.1
%{_libdir}/libXrdOdc.so.1
%{_libdir}/libXrdOfs.so.1
%{_libdir}/libXrdOss.so.1
%{_libdir}/libXrdOuc.so.1
%{_libdir}/libXrdPosix.so.1
%{_libdir}/libXrdProxy.so.1
%{_libdir}/libXrdRootd.so.1
%{_libdir}/libXrdSecgsiGMAPLDAP.so.1
%{_libdir}/libXrdSecgsi.so.1
%{_libdir}/libXrdSeckrb4.so.1
%{_libdir}/libXrdSecpwd.so.1
%{_libdir}/libXrdSec.so.1
%{_libdir}/libXrdSecssl.so.1
%{_libdir}/libXrdSecsss.so.1
%{_libdir}/libXrdSecunix.so.1
%{_libdir}/libXrd.so.1
%{_libdir}/libXrdSut.so.1
%{_libdir}/libXrdSys.so.1
%{perl_sitearch}/xrootd/admin/XrdClientAdmin.pm

%_sysconfdir/xrootd//StartOLB
%_sysconfdir/xrootd/StartOLB.cf.example
%_sysconfdir/xrootd/StartXRD
%_sysconfdir/xrootd/StartXRD.cf.example
%_sysconfdir/xrootd/StopOLB
%_sysconfdir/xrootd/StopXRD


%defattr(-,root,root,-)


#######################################################################################
# the devel package
#######################################################################################
%package -n xrootd-devel
#######################################################################################
Summary: (x)root protocol developement package
Group: Applications/File

%description -n xrootd-devel
The xroot developement package.
%files -n xrootd-devel
%{_includedir}/xrootd/*
%{_libdir}/libXrd.a
%{_libdir}/libXrdAcc.a
%{_libdir}/libXrdBwm.a
%{_libdir}/libXrdClient.a
%{_libdir}/libXrdClientAdmin.a
%{_libdir}/libXrdCms.a
%{_libdir}/libXrdCrypto.a
%{_libdir}/libXrdCryptoLite.a
%{_libdir}/libXrdCryptossl.a
%{_libdir}/libXrdNet.a
%{_libdir}/libXrdOdc.a
%{_libdir}/libXrdOfs.a
%{_libdir}/libXrdOss.a
%{_libdir}/libXrdOuc.a
%{_libdir}/libXrdPosix.a
%{_libdir}/libXrdProxy.a
%{_libdir}/libXrdRootd.a
%{_libdir}/libXrdSec.a
%{_libdir}/libXrdSecgsi.a
%{_libdir}/libXrdSecgsiGMAPLDAP.a
%{_libdir}/libXrdSeckrb4.a
%{_libdir}/libXrdSeckrb5.a
%{_libdir}/libXrdSecpwd.a
%{_libdir}/libXrdSecssl.a
%{_libdir}/libXrdSecsss.a
%{_libdir}/libXrdSecunix.a
%{_libdir}/libXrdSut.a
%{_libdir}/libXrdSys.a
%{_libdir}/libXrdAcc.la
%{_libdir}/libXrdBwm.la
%{_libdir}/libXrdClientAdmin.la
%{_libdir}/libXrdClient.la
%{_libdir}/libXrdCms.la
%{_libdir}/libXrdCrypto.la
%{_libdir}/libXrdCryptoLite.la
%{_libdir}/libXrdCryptossl.la
%{_libdir}/libXrd.la
%{_libdir}/libXrdNet.la
%{_libdir}/libXrdOdc.la
%{_libdir}/libXrdOfs.la
%{_libdir}/libXrdOss.la
%{_libdir}/libXrdOuc.la
%{_libdir}/libXrdPosix.la
%{_libdir}/libXrdProxy.la
%{_libdir}/libXrdRootd.la
%{_libdir}/libXrdSecgsiGMAPLDAP.la
%{_libdir}/libXrdSecgsi.la
%{_libdir}/libXrdSeckrb4.la
%{_libdir}/libXrdSeckrb5.la
%{_libdir}/libXrdSec.la
%{_libdir}/libXrdSecpwd.la
%{_libdir}/libXrdSecssl.la
%{_libdir}/libXrdSecsss.la
%{_libdir}/libXrdSecunix.la
%{_libdir}/libXrdSut.la
%{_libdir}/libXrdSys.la
%{_libdir}/libXrdAcc.so
%{_libdir}/libXrdBwm.so
%{_libdir}/libXrdClientAdmin.so
%{_libdir}/libXrdClient.so
%{_libdir}/libXrdCms.so
%{_libdir}/libXrdCryptoLite.so
%{_libdir}/libXrdCrypto.so
%{_libdir}/libXrdCryptossl.so
%{_libdir}/libXrdNet.so
%{_libdir}/libXrdOdc.so
%{_libdir}/libXrdOfs.so
%{_libdir}/libXrdOss.so
%{_libdir}/libXrdOuc.so
%{_libdir}/libXrdPosix.so
%{_libdir}/libXrdProxy.so
%{_libdir}/libXrdRootd.so
%{_libdir}/libXrdSecgsiGMAPLDAP.so
%{_libdir}/libXrdSecgsi.so
%{_libdir}/libXrdSeckrb4.so
%{_libdir}/libXrdSecpwd.so
%{_libdir}/libXrdSec.so
%{_libdir}/libXrdSecssl.so
%{_libdir}/libXrdSecsss.so
%{_libdir}/libXrdSecunix.so
%{_libdir}/libXrd.so
%{_libdir}/libXrdSut.so
%{_libdir}/libXrdSys.so
%{_libdir}/libXrdAcc.so.1.0.0
%{_libdir}/libXrdBwm.so.1.0.0
%{_libdir}/libXrdClientAdmin.so.1.0.0
%{_libdir}/libXrdClient.so.1.0.0
%{_libdir}/libXrdCms.so.1.0.0
%{_libdir}/libXrdCryptoLite.so.1.0.0
%{_libdir}/libXrdCrypto.so.1.0.0
%{_libdir}/libXrdCryptossl.so.1.0.0
%{_libdir}/libXrdNet.so.1.0.0
%{_libdir}/libXrdOdc.so.1.0.0
%{_libdir}/libXrdOfs.so.1.0.0
%{_libdir}/libXrdOss.so.1.0.0
%{_libdir}/libXrdOuc.so.1.0.0
%{_libdir}/libXrdPosix.so.1.0.0
%{_libdir}/libXrdProxy.so.1.0.0
%{_libdir}/libXrdRootd.so.1.0.0
%{_libdir}/libXrdSecgsiGMAPLDAP.so.1.0.0
%{_libdir}/libXrdSecgsi.so.1.0.0
%{_libdir}/libXrdSeckrb4.so.1.0.0
%{_libdir}/libXrdSecpwd.so.1.0.0
%{_libdir}/libXrdSec.so.1.0.0
%{_libdir}/libXrdSecssl.so.1.0.0
%{_libdir}/libXrdSecsss.so.1.0.0
%{_libdir}/libXrdSecunix.so.1.0.0
%{_libdir}/libXrd.so.1.0.0
%{_libdir}/libXrdSut.so.1.0.0
%{_libdir}/libXrdSys.so.1.0.0
%{_libdir}/libXrdAcc.so.1
%{_libdir}/libXrdBwm.so.1
%{_libdir}/libXrdClientAdmin.so.1
%{_libdir}/libXrdClient.so.1
%{_libdir}/libXrdCms.so.1
%{_libdir}/libXrdCryptoLite.so.1
%{_libdir}/libXrdCrypto.so.1
%{_libdir}/libXrdCryptossl.so.1
%{_libdir}/libXrdNet.so.1
%{_libdir}/libXrdOdc.so.1
%{_libdir}/libXrdOfs.so.1
%{_libdir}/libXrdOss.so.1
%{_libdir}/libXrdOuc.so.1
%{_libdir}/libXrdPosix.so.1
%{_libdir}/libXrdProxy.so.1
%{_libdir}/libXrdRootd.so.1
%{_libdir}/libXrdSecgsiGMAPLDAP.so.1
%{_libdir}/libXrdSecgsi.so.1
%{_libdir}/libXrdSeckrb4.so.1
%{_libdir}/libXrdSecpwd.so.1
%{_libdir}/libXrdSec.so.1
%{_libdir}/libXrdSecssl.so.1
%{_libdir}/libXrdSecsss.so.1
%{_libdir}/libXrdSecunix.so.1
%{_libdir}/libXrd.so.1
%{_libdir}/libXrdSut.so.1
%{_libdir}/libXrdSys.so.1


#######################################################################################
%changelog
* Wed Oct 28 2009 Andreas Joachim Peters <apeters@lxplus224.cern.ch> - 20090930.1117-3
- split into client server devel

* Wed Oct 21 2009 Andreas Joachim Peters <apeters@lxplus224.cern.ch> - 20090930.1117-1
- Initial build 
#######################################################################################
